"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useCreateSession = void 0;
const constants_1 = require("@abstract-foundation/agw-client/constants");
const sessions_1 = require("@abstract-foundation/agw-client/sessions");
const wagmi_1 = require("wagmi");
const useCreateSession = () => {
    const { writeContract, writeContractAsync, ...writeContractRest } = (0, wagmi_1.useWriteContract)();
    return {
        useCreateSession: (params) => {
            const { session, ...rest } = params;
            writeContract({
                address: constants_1.sessionKeyValidatorAddress,
                abi: sessions_1.SessionKeyValidatorAbi,
                functionName: 'createSession',
                args: [session],
                ...rest,
            });
        },
        useCreateSessionAsync: async (params) => {
            const { session, ...rest } = params;
            await writeContractAsync({
                address: constants_1.sessionKeyValidatorAddress,
                abi: sessions_1.SessionKeyValidatorAbi,
                functionName: 'createSession',
                args: [session],
                ...rest,
            });
        },
        ...writeContractRest,
    };
};
exports.useCreateSession = useCreateSession;
//# sourceMappingURL=useCreateSession.js.map